Bug 837790 - It's impossible to print more than one file in one lpr command to a cups-pdf printer
It's impossible to print more than one file in one lpr command to a cups-pdf ...
Status: NEW
Product: Fedora
Classification: Fedora
Component: cups-pdf (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-05 05:22 EDT by Joachim Backes
Modified: 2017-11-14 03:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/cups/cups-pdf.conf (9.42 KB, application/octet-stream)
2012-07-05 05:22 EDT, Joachim Backes
no flags Details

  None (edit)
Description Joachim Backes 2012-07-05 05:22:40 EDT
Created attachment 596357 [details]
/etc/cups/cups-pdf.conf

Description of problem:
I tried to print more than one file to a cups-pdf printer in *one* lpr command.
But the printing fails:

1. In one case, only the first file is printed, but the generated pdf file is multilated
2. In most other cases, no file is printed (no pdf file is generated), and the lpq command shows that all print jobs remain in the print queue. I have to cleanup them with lprm, and additionally to restart cups. 

Version-Release number of selected component (if applicable):
cups-pdf-2.6.1-1.fc17.x86_64
cups-libs-1.5.2-12.fc17.i686
cups-1.5.2-12.fc17.x86_64
cups-libs-1.5.2-12.fc17.x86_64
cups-pk-helper-0.2.2-1.fc17.x86_64

How reproducible:

Almost all times

Steps to Reproduce:
1.lpr <file-1> <file-2> ... -P<pdf-printer>
2.
3.
  
Actual results:
see description

Expected results:
All file are properly printed into pdf-files

Additional info:
Comment 1 Joachim Backes 2012-07-05 05:26:28 EDT
section for the pdf printer in /etc/cups/printers.conf
------------------------------------------------------

<Printer PDF>
UUID urn:uuid:af88cddf-b230-3dcb-6c99-33a1e6a8cf74
Info PDF
MakeModel Generic CUPS-PDF Printer
DeviceURI cups-pdf:/
State Idle
StateTime 1341476143
Type 8450124
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy stop-printer
Option media na_letter_8.5x11in
Option output-bin face-down
Option print-color-mode color
Option print-quality 4
Option printer-resolution 300x300dpi
</Printer>
Comment 2 Joachim Backes 2012-07-05 05:30:04 EDT
cups-pdf specific lines in /var/log/cups/error.log:
---------------------------------------------------

W [02/Jul/2012:10:36:40 +0200] failed to find device: cups-PDF
W [03/Jul/2012:07:25:17 +0200] failed to find device: cups-PDF
W [05/Jul/2012:07:05:18 +0200] failed to find device: cups-PDF
W [05/Jul/2012:10:11:05 +0200] failed to find device: cups-PDF
W [05/Jul/2012:10:15:30 +0200] failed to find device: cups-PDF
W [05/Jul/2012:11:41:44 +0200] failed to find device: cups-PDF
W [05/Jul/2012:10:47:28 +0200] failed to find device: cups-PDF
W [05/Jul/2012:10:50:12 +0200] failed to find device: cups-PDF
W [05/Jul/2012:10:52:48 +0200] failed to find device: cups-PDF
W [05/Jul/2012:10:56:06 +0200] failed to find device: cups-PDF
W [05/Jul/2012:11:04:45 +0200] failed to find device: cups-PDF
Comment 3 Fedora End Of Life 2013-07-03 18:27:53 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Joachim Backes 2013-07-03 23:49:53 EDT
Same problem in F19: "lpr -P<pdf-printer> /etc/passwd /etc/group": in the PDF target directory only the printed /etc/passwd appears, but no printout of /etc/group.
Comment 5 Joachim Backes 2013-10-24 01:26:28 EDT
Same behaviour in F20.
Comment 6 Fedora End Of Life 2017-07-25 14:30:36 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Joachim Backes 2017-07-25 15:09:06 EDT
Same behaviour in F26
Comment 8 Joachim Backes 2017-11-14 03:58:27 EST
Same behaviour in F27

Note You need to log in before you can comment on or make changes to this bug.